<?php

namespace MintyPHP\Repository\Settings;

interface SettingRepositoryInterface
{
    public function find(string $key): ?array;

    public function getValue(string $key): ?string;

    public function set(string $key, ?string $value, ?string $description = null): bool;
}
